Bug 122169 - Update port: devel/raknet - Update from v2.0.13 to v3.08
Summary: Update port: devel/raknet - Update from v2.0.13 to v3.08
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-27 21:50 UTC by ganael.laplanche
Modified: 2008-04-07 21:50 UTC (History)
0 users

See Also:


Attachments
file.diff (69.42 KB, patch)
2008-03-27 21:50 UTC, ganael.laplanche
no flags Details | Diff
patch-raknet.txt (69.36 KB, patch)
2008-04-06 20:40 UTC, ganael.laplanche
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2008-03-27 21:50:01 UTC
This patch updates devel/raknet to version 3.08.

Version 2.0.13 was an old version and faced a checksum mismatch problem because the port was downloading a generic RakNet.zip file (with no version). This new version of the port uses a fixed version to ensure the port will remain fetchable. It also now uses sourceforge as main repository.

I'll take maintainership for it.

Fix: Patch attached with submission follows:
Comment 1 ganael.laplanche 2008-04-06 20:40:38 UTC
Here is a new patch against raknet 2.0.13. It supersedes the first patch. Here
are the changes :
- Re-introduced USE_DOS2UNIX and a much simpler DOS2UNIX_REGEX
- Install PORTDOCS in a much better way (via COPYTREE_SHARE)
- Now use yes for USE_FORTRAN, and specify compiler using CONFIGURE_ENV

Best regards,

Ganaël LAPLANCHE
ganael.laplanche@martymac.com
http://www.martymac.com
Comment 2 dfilter freebsd_committer 2008-04-07 21:49:49 UTC
thierry     2008-04-07 20:49:41 UTC

  FreeBSD ports repository

  Modified files:
    devel/raknet         Makefile distinfo pkg-descr pkg-plist 
  Added files:
    devel/raknet/files   patch-Makefile.in 
                         patch-Source-FileList.cpp 
                         patch-Source-RakMemoryOverride.h 
  Log:
  This patch updates devel/raknet to version 3.08.
  
  Version 2.0.13 was an old version and faced a checksum mismatch problem
  because the port was downloading a generic RakNet.zip file (with no
  version). This new version of the port uses a fixed version to ensure
  the port will remain fetchable. It also now uses sourceforge as main
  repository.
  
  I'll take maintainership for it.
  
  PR:             ports/122169
  Submitted by:   Ganael Laplanche <ganael.laplanche (at) martymac.com>
  
  Revision  Changes    Path
  1.9       +40 -30    ports/devel/raknet/Makefile
  1.3       +3 -3      ports/devel/raknet/distinfo
  1.1       +11 -0     ports/devel/raknet/files/patch-Makefile.in (new)
  1.1       +21 -0     ports/devel/raknet/files/patch-Source-FileList.cpp (new)
  1.1       +12 -0     ports/devel/raknet/files/patch-Source-RakMemoryOverride.h (new)
  1.2       +1 -1      ports/devel/raknet/pkg-descr
  1.2       +933 -37   ports/devel/raknet/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Thierry Thomas freebsd_committer 2014-06-01 06:46:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 4 Thierry Thomas freebsd_committer 2014-06-01 06:46:50 UTC
State Changed
From-To: open->closed


Committed, thanks! 

Note: don't forget to submit your patches upstream.